Bug 58133 - : No Transparency what Happened with Changed Options if you Change to another Options Dialog
Summary: : No Transparency what Happened with Changed Options if you Change to another...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2012-12-11 11:35 UTC by Harald Koester
Modified: 2021-04-23 04:00 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-12-11 11:35:46 UTC
To my opinion not all aspects mentioned in bug 39452 are resolved. The comment list of that bug is quite long. So I tried to disentangle this a bit with new bug reports. This is the second of them.

If you like to change an option you usually open the according options dialog, change the option and then close the dialog with OK. But you don't really know what happened with changed options if you change directly to another options dialog. Is the changed option saved or not? Will it be saved with OK in the second options dialog or not? What happened with changed options if you cancel the second options dialog? What happened with the option if you click “Revert”? ...

I made some tests according this aspect and found out that the behaviour is not always equal. For example do this:

(1) Start LO and open a new text document.
(2) Open option dialog: Tools > Options... > LibreOffice > General.
(3) Check “Extended tips”.
(4) Change to option dialog “Memory”.
(5) Click Cancel.
(6) Open option dialog: Tools > Options... > LibreOffice > General. The option “Extended tips” is checked, that means it has been saved with step (4).

If you perform the same procedure with a Writer option the behaviour is different:
(2) Open option dialog: Tools  > Options... > LibreOffice Writer > View.
(3) Check “Helplines While Moving”.
(4) Change to option dialog “General”.
(5) Click Cancel.
(6) Open option dialog: Tools  > Options... > LibreOffice Writer > View. In this case the option “Helplines While Moving” is not checked. Contrary to the first example the option has not been saved. At step (5) you have to click OK in order to save the changed option of step (3).

To my opinion for a better transparency what happened, a user should decide directly when he leaves an option dialog whether the changed option shall be saved or not. This means at step (4) in the example. In order to provide this decision a message “You changed “LibreOffice Writer – General” options. Do you want to save your changes?” or similar has to be displayed if an option has been changed by the user.
Operating System: Windows 7
Comment 1 Harald Koester 2012-12-11 14:07:52 UTC
See also bug 58132, bug 58134, bug 58135, bug 58136.
Comment 2 Jorendc 2013-01-27 19:51:14 UTC
Thanks for taking time to report this, and provide this clear and informative information!

I can reproduce all mentioned and do agree that we need to be consequent with this behavior. Linux Mint 14, LibreOffice 4.0.0.2 rc2

Following [1] I mark this bug as 'trivial low'.

Kind regards,
Joren
Comment 3 QA Administrators 2015-02-19 15:43:47 UTC Comment hidden (obsolete)
Comment 4 Harald Koester 2015-03-03 10:41:10 UTC
Bug still exists in version 4.4.0.3. (Win 7)
Comment 5 tommy27 2016-04-16 07:25:06 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2017-04-05 15:33:36 UTC
Bug still exists in version 5.3.1. (Win7)
Bug already exists in version 3.3.0. Hence inherited from OOo.
Comment 7 QA Administrators 2018-04-06 02:40:56 UTC Comment hidden (obsolete)
Comment 8 Harald Koester 2018-04-16 17:30:42 UTC
Bug still exists in 6.0.3 (64 bit, Win7).

The procedure in order to reproduce the bug is a bit different, because the memory options do not exist no more. Hence at step 4 you have to change to another options dialog e.g. the view dialog.
Comment 9 QA Administrators 2019-04-17 02:58:38 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2019-04-23 14:12:05 UTC
Bug still exists in version 6.2.3 (64 bit, Win 10).
Comment 11 QA Administrators 2021-04-23 04:00:23 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug